#!/usr/bin/perl
#$Id: advanced_options.cgi,v 1.5 2013/05/14 09:28:42 sqko Exp $
use strict;
use warnings;
use Impedance::Model;
use Impedance::IMPCGI qw(:html :cgi);
use CGI qw(:standard :netscape);
&print_header("Elchemea Analytical",-onload=>'set_data()',-onBlur=>'update()');
print start_form(-name=>'sofc');
print '<table width=100% cellspacing=10><tr>';
print '<td width=5%></td>';
print '<td width=20%></td>';
print '<td width=20%></td>';
print '<td width=10%></td>';
print '<td width=20%></td>';
print '<td width=20%></td>';
print '<td width=5%></td>';
print '</tr>';
print '<tr><td></td><th> x min </th><td>';
print textfield(-name=>'xmin',-onchange=>'set_value(this)',-class=>'textfield');
print '</td><td></td><th> x max </th><td>';
print textfield(-name=>'xmax',-onchange=>'set_value(this)',-class=>'textfield');
print '</td></tr>';
print '<tr><td></td><th> y min </th><td>';
print textfield(-name=>'ymin',-onchange=>'set_value(this)',-class=>'textfield');
print '</td><td></td><th> y max </th><td>';
print textfield(-name=>'ymax',-onchange=>'set_value(this)',-class=>'textfield');
print '</td></tr>';
print '<tr><td></td><th> scaling </th><td>';
my %slabels = (-3=>'mOhm',0=>'Ohm',3=>'kOhm',6=>'MOhm');
print popup_menu(-name=>'scale_factor',-values=>[-3,0,3,6],-labels=>\%slabels,-force=>1,-class=>'textfield',-onchange=>'set_value(this)');
print '</td><td></td><th>Plot:</th><th>';
my $m = Impedance::Model->new();
print popup_menu(-name=>'admode',-values=>[$m->admittance_mode_values()],-force=>1,-onchange=>'set_value(this)',-class=>'textfield');

print '</td></tr>';
print '<tr><td></td><th colspan=5> Additional gnuplot commands </th></tr>';
print '<tr><td></td><td colspan=5>';
print textarea(-name=>'gp_text',-class=>'textfield',-onchange=>'set_value(this)',-rows=>3);
print '</td></tr>';
print '<tr><td colspan=2></td><td colspan=3>';
print button(-name=>'dummy',-class=>'s3',-value=>'Ok',-onclick=>'self.close()');
print '</td></tr></table>';
print hidden(-name=>'allow_close',-value=>1,-force=>1);
print end_form();

print <<END;

<script language="javascript">

function set_value(e)
{
    var element = opener.document.getElementById(e.name);
    element.value = e.value;
    opener.document.sofc.submit();
}

function set_data()
{
    document.sofc.xmin.value = opener.document.sofc.xmin.value;
    document.sofc.xmax.value = opener.document.sofc.xmax.value;
    document.sofc.ymin.value = opener.document.sofc.ymin.value;
    document.sofc.ymax.value = opener.document.sofc.ymax.value;
    document.sofc.admode.value = opener.document.sofc.admode.value;
    document.sofc.gp_text.value = opener.document.sofc.gp_text.value;
    var factor = opener.document.sofc.scale_factor.value;
    var e = document.sofc.scale_factor;
    if (factor == null || factor == '')
    {
	factor = 0;
    }
    for (var i = 0; i < e.options.length; i++)
    {
	if (e.options[i].value == factor)
	{
	    e.options[i].selected = true;
	}
    }
}

function update()
{
    opener.sofc.submit();
}

</script>

END
    
    print end_html();
exit;
